import java.util.HashMap; // 必ず必要 java.util.* でもOK
import java.util.Iterator; // 必ず必要 java.util.* でもOK

/**
 HashMapの動作サンプル JDK5版
 */
public class Sample{
	/**
	StringとStudentの対応をとる専用の連想配列(写像)の作成
	*/
	static HashMap<String,Student> map=new HashMap<String,Student>();

	/**
	リストの内容を表示，とりあえず名前と数学の点数のみ．
	*/
	static void print(){
		for(Iterator<String> i=map.keySet().iterator(); i.hasNext(); ){
			String k=i.next(); // キャストは不要
			Student s=map.get(k); // キャストは不要
			System.out.println(k+" = "+s.name+" "+s.math);
		}
		
		// JDK5の書き方
		System.out.println("Using foreach, ");
		for(String k: map.keySet()){
			System.out.println(k+" = "+map.get(k).name+" "+map.get(k).math);
		}
	}

	public static void main(String[] args){
		Student tanaka = new Student("tanaka", 90, 80, 20);
		Student tokuta = new Student("tokuta", 70, 60, 40);
		Student yamada = new Student("yamada", 60, 50, 50); 
		Student sasaki = new Student("sasaki", 50, 40, 60);

		map.put("tanaka", tanaka);
		map.put("tokuta", tokuta);
		map.put("yamada", yamada);
		map.put("sasaki", sasaki);

		Student s=map.get("tokuta"); // キー tokuta でオブジェクトを取り出す，キャスト不要
		System.out.println(s.name+" "+s.math);

		System.out.println("");
		print(); // とりあえず全部印刷

	}
}
